LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBFunction Class Reference

`#include <SBFunction.h>`

## Public Member Functions

| SBFunction ()
| SBFunction (const lldb::SBFunction &rhs)
const lldb::SBFunction & | operator= (const lldb::SBFunction &rhs)
| ~SBFunction ()
bool | IsValid () const
const char * | GetName () const
const char * | GetMangledName () const
lldb::SBInstructionList | GetInstructions (lldb::SBTarget target)
lldb::SBInstructionList | GetInstructions (lldb::SBTarget target, const char *flavor)
lldb::SBAddress | GetStartAddress ()
lldb::SBAddress | GetEndAddress ()
uint32_t | GetPrologueByteSize ()
lldb::SBType | GetType ()
lldb::SBBlock | GetBlock ()
bool | operator== (const lldb::SBFunction &rhs) const
bool | operator!= (const lldb::SBFunction &rhs) const
bool | GetDescription (lldb::SBStream &description)

## Protected Member Functions

lldb_private::Function * | get ()
void | reset (lldb_private::Function *lldb_object_ptr)

## Friends

class | SBAddress
class | SBFrame
class | SBSymbolContext

## Detailed Description

Definition at line 19 of file SBFunction.h.

## Constructor & Destructor Documentation

lldb::SBFunction::SBFunction | ( |  | ) |

lldb::SBFunction::SBFunction | ( | const lldb::SBFunction & | rhs | ) |

lldb::SBFunction::~SBFunction | ( |  | ) |

## Member Function Documentation

lldb_private::Function* lldb::SBFunction::get | ( |  | ) |

protected

lldb::SBBlock lldb::SBFunction::GetBlock | ( |  | ) |

bool lldb::SBFunction::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::SBAddress lldb::SBFunction::GetEndAddress | ( |  | ) |

lldb::SBInstructionList lldb::SBFunction::GetInstructions | ( | lldb::SBTarget | target | ) |

lldb::SBInstructionList lldb::SBFunction::GetInstructions | ( | lldb::SBTarget | target,
|  | const char * | flavor
| ) |  |

const char* lldb::SBFunction::GetMangledName | ( |  | ) | const

const char* lldb::SBFunction::GetName | ( |  | ) | const

uint32_t lldb::SBFunction::GetPrologueByteSize | ( |  | ) |

lldb::SBAddress lldb::SBFunction::GetStartAddress | ( |  | ) |

lldb::SBType lldb::SBFunction::GetType | ( |  | ) |

bool lldb::SBFunction::IsValid | ( |  | ) | const

bool lldb::SBFunction::operator!= | ( | const lldb::SBFunction & | rhs | ) | const

const lldb::SBFunction& lldb::SBFunction::operator= | ( | const lldb::SBFunction & | rhs | ) |

bool lldb::SBFunction::operator== | ( | const lldb::SBFunction & | rhs | ) | const

void lldb::SBFunction::reset | ( | lldb_private::Function * | lldb_object_ptr | ) |

protected

## Friends And Related Function Documentation

friend class SBAddress

friend

Definition at line 80 of file SBFunction.h.

friend class SBFrame

friend

Definition at line 81 of file SBFunction.h.

friend class SBSymbolContext

friend

Definition at line 82 of file SBFunction.h.

The documentation for this class was generated from the following file:

- SBFunction.h